<form [formGroup]="carForm">
  <div>
    <label for="car-input-make">Make:</label>
    <input type="text" id="car-input-make" formControlName="make" />
  </div>
  <div>
    <label for="car-input-model">Model:</label>
    <input type="text" id="car-input-model" formControlName="model" />
  </div>
  <div>
    <label for="car-input-year">Year:</label>
    <input type="number" id="car-input-year" formControlName="year" />
  </div>
  <div>
    <label for="car-input-color">Color:</label>
    <input type="text" id="car-input-color" formControlName="color" />
  </div>
  <div>
    <label for="car-input-price">Price:</label>
    <input type="number" id="car-input-price" formControlName="price" />
  </div>
  <div>
    <button type="button" (click)="doSubmitCar()">
      {{ buttonText }}
    </button>
  </div>
</form>
